当前位置:首页 > LNMP相关 > 正文内容

LNMP一键包多PHP版本使用方法

cinbo5个月前 (03-06)LNMP相关52

多PHP版本使用教程:
多PHP版本只支持LNMP模式,LNMPA、LAMP模式下不支持!
要使用多PHP先安装多PHP版本,在lnmp1.4源码目录下运行:./install.sh mphp 按提示选择要另外安装的PHP版本,不能多选,只能选一个,要安装多个需要安装完成后再运行前面的安装命令。
已经升级完LNMP管理脚本且已安装好多PHP版本的话,lnmp vhost add 时会在设置完日志名称后提示当前已经存在的PHP版本,按提示的数字选择就可以。

如果已经存在的虚拟主机要更改PHP为指定版本需要修改虚拟主机的配置文件,配置文件为 /usr/local/nginx/conf/vhost/域名.conf ,将里面的include enable-php.conf; 替换为 include enable-php7.1.conf; 前面的7.1为php版本,可以根据自己的需要进行修改,但必须要对应的多php版本已经安装,要不然会提示502错误。

修改后必须要重启nginx,否则无法生效。


如要使用新版里面的PHP模块组件安装工具需要升级一下PHP才能使用新版PHP组件安装工具。

多PHP版本PHP模块/组件
多PHP模块安装依然和以前一样只不过存在多PHP版本时会让你选择为哪个版本的PHP安装PHP模块/组件,教程参考:https://lnmp.org/faq/addons.html

扫描二维码推送至手机访问。

版权声明:本文由Cinbo发布,如需转载请注明出处。

分享给朋友:
返回列表

上一篇:删除多余PHP版本的方法(LNMP)

没有最新的文章了...

相关文章

删除网站目录提示不能删除,使用chattr命令删除.user.ini文件

1、chattr解锁命令解决权限问题chattr -i /home/wwwroot/www.itbulu.com/.user.ini2、然后删除文件夹我们可以利用RM或者FTP直接删除就可以。总结,这...

删除多余PHP版本的方法(LNMP)

/etc/init.d/php-fpm5.3 stoprm -rf /usr/local/php5.3rm -f /etc/init.d/php-fpm5.3rm -f /usr/local/ngin...

LNMP 1.2/1.3+升级Nginx、MySQL/MariaDB、PHP方法

一般情况下不建议对生产环境进行升级,升级开始后会停止LNMP相关服务。本文仅适用于LNMP1.2、1.3及1.4等以后版本!在LNMP目前LNMP v1.2/1.3+版本中已经包含了Nginx、MyS...

发表评论

访客

看不清,换一张

◎欢迎参与讨论,请在这里发表您的看法和观点。